
# Program Validasi Nilai Pilihan Ganda

Program ini digunakan untuk menentukan apakah suatu nilai hasil ujian pilihan ganda mungkin didapatkan berdasarkan aturan penilaian yang diberikan.

## Penjelasan Singkat

Pada ujian pilihan ganda, setiap jawaban benar mendapatkan nilai positif (misalnya 5 poin), jawaban salah mengurangi nilai (misalnya -2 poin), dan tidak dijawab tidak menambah atau mengurangi nilai. Program ini mengecek apakah nilai akhir yang diperoleh mungkin dicapai dengan kombinasi jumlah soal tertentu.

## Aturan

- Input berupa 4 angka: nilai akhir, jumlah soal, skor jika benar, pengurangan jika salah.
- Program mencoba semua kombinasi kemungkinan jumlah jawaban benar dan salah.
- Hasil program: **YA** jika nilai mungkin dicapai, **TIDAK** jika tidak mungkin.

## Contoh

Input:
```
80 10 5 1
90 100 1 1
99 10 5 5
```

Output:
```
h#1: TIDAK
h#2: YA
h#3: TIDAK
```

## Kesimpulan

Program ini efektif untuk mengecek validitas hasil ujian berdasarkan aturan skor. Hal ini bisa digunakan sebagai alat bantu analisis atau verifikasi skor dalam sistem penilaian otomatis.

## Contoh Penerapan

- Sistem ujian berbasis komputer untuk validasi hasil otomatis.
- Audit skor dalam sistem pendidikan.
- Analisis kemungkinan penipuan dalam ujian berdasarkan kombinasi nilai.

